gdcm::SwapperNoOp Class Reference

`#include <gdcmSwapper.h>`

## Static Public Member Functions

template<typename T>
static T | Swap (T val)
template<typename T>
static void | SwapArray (T *, size_t)

## Detailed Description

Examples
  DumpSiemensBase64.cxx, DumpToshibaDTI.cxx, DumpToshibaDTI2.cxx, and ReadExplicitLengthSQIVR.cxx.

## Member Function Documentation

## Swap()

template<typename T>

T gdcm::SwapperNoOp::Swap | ( | T | val | ) |

inline static

Referenced by gdcm::EncodingImplementation< VR::VRBINARY >::Write().

## SwapArray()

template<typename T>

void gdcm::SwapperNoOp::SwapArray | ( | T * | ,
|  | size_t | )

inline static

Referenced by gdcm::EncodingImplementation< VR::VRBINARY >::Read().

The documentation for this class was generated from the following file:

- gdcmSwapper.h